AI エージェント向け: ドキュメントインデックスは https://www.mongodb.com/ja-jp/docs/llms.txt で利用できます。すべてのページの markdown バージョンは、いずれかの URL パスに .md を追加することで利用できます。

テレメトリのステータスを切り替える

Ops Manager インストールのテレメトリコレクションを有効または無効にします。

このエンドポイントとなる接続されたデバイスでは、Global Owner ロールを持つAPIキーが必要です。

ベース URL: https://{OPSMANAGER-HOST}:{PORT}/api/private/v1.0/telemetry

PATCH /collection/status

このエンドポイントは、HTTP リクエスト パス パラメーターを使用しません。

このエンドポイントとなる接続されたデバイスは、HTTPリクエストクエリパラメーターを使用しません。

名前
タイプ
必要性
説明

enabled

ブール値

必須

テレメトリを有効にするには、true にを設定し、テレメトリを無効にするには、false に設定します。

このエンドポイントは空のJSONオブジェクトを返します。

curl --user "{publicApiKey}:{privateApiKey}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request PATCH "https://<OpsManagerHost>:<Port>/api/private/v1.0/telemetry/collection/status"
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-alive
HTTP/1.1 400 Bad RequestContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}X-MongoDB-Service-Version: gitHash={gitHash};versionString={ApplicationVersion}Content-Length: {requestLengthInBytes}
HTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
{}